package ir.cristiansoft.sendemail;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class EmailActivity extends AppCompatActivity {

    EditText etxtEmail;
    EditText etxtSubject;
    EditText etxtContent;
    Button btnSendEmail;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_email);

        etxtEmail = (EditText) findViewById(R.id.edit_Email);
        etxtSubject = (EditText) findViewById(R.id.edit_subject);
        etxtContent = (EditText) findViewById(R.id.edit_email_content);
        btnSendEmail = (Button) findViewById(R.id.btn_sendEmail);

        etxtEmail.setText("alibabaie773@yahoo.com");

        btnSendEmail.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                Intent intent = new Intent(Intent.ACTION_SEND);
                intent.putExtra(Intent.EXTRA_EMAIL , new String[] {etxtEmail.getText().toString()});
                intent.putExtra(Intent.EXTRA_SUBJECT , etxtSubject.getText().toString());
                intent.putExtra(Intent.EXTRA_TEXT , etxtContent.getText().toString());
                intent.setType("message/rfc822");
                startActivity(intent.createChooser(intent , "Choose your account ..."));
            }
        });
    }

    @Override
    protected void onStop() {
        super.onStop();
        etxtEmail.setText("alibabaie773@yahoo.com");
        etxtContent.setText("");
        etxtSubject.setText("");
    }
}
